Istio
probe fault

# get_virtual_service

Get a virtual service identified by `name`

Run it now
View details

Type | probe
Module | chaosistio.fault.probes
Name | get_virtual_service
Return | mapping

Usage

JSON

    {
      "name": "get-virtual-service",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosistio.fault.probes",
        "func": "get_virtual_service",
        "arguments": {
          "virtual_service_name": ""
        }
      }
    }

YAML

    name: get-virtual-service
    provider:
      arguments:
        virtual_service_name: ""
      func: get_virtual_service
      module: chaosistio.fault.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
virtual_service_name | string |  | Yes | Virtual Service Name | Name of the target virtual service
ns | string | ”default” | No | Namespace |
version | string | ”networking.istio.io/v1alpha3” | No | Version | Istio fault injection version

See https://istio.io/docs/reference/config/istio.networking.v1alpha3/#VirtualService

Signature

    def get_virtual_service(
            virtual_service_name: str,
            ns: str = 'default',
            version: str = 'networking.istio.io/v1alpha3',
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Istio
  action fault

  ## `set_fault`

  Set fault injection on the virtual service identified by `name`
- Istio
  action fault

  ## `unset_fault`

  Unset fault injection from the virtual service identified by `name`
- Istio
  action fault

  ## `remove_delay_fault`

  Remove delay from the virtual service identified by `name`